curl --request GET \
--url https://mycluster.domino.tech/api/apps/v1/apps/{appId} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/apps/v1/apps/{appId}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/apps/v1/apps/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accessControl": {
"accessStatuses": [
{
"userId": "<string>"
}
],
"discoverable": true
},
"authorship": {
"isDraft": true,
"author": {
"id": "<string>",
"name": "<string>"
}
},
"configurationType": "STANDARD",
"entryPoint": "<string>",
"id": "<string>",
"mountDatasets": true,
"name": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"ownerUsername": "<string>"
},
"renderIFrame": true,
"url": "<string>",
"views": 123,
"currentVersion": {
"createdAt": 123,
"id": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"bundle": {
"id": "<string>",
"name": "<string>"
},
"content": {
"mountDatasets": true,
"dataPlaneId": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"gitRef": {
"value": "<string>"
},
"importedGitRepoRefs": [
{
"gitRef": {
"value": "<string>"
},
"repoId": "<string>",
"repoName": "<string>"
}
],
"netAppVolumeIds": [
"<string>"
],
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
}
},
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"lastSynced": {
"syncedAt": 123,
"dfsCommitId": "<string>",
"importedRepoCommits": [
{
"ref": "<string>",
"repoId": "<string>"
}
],
"mainRepoCommitId": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
}
},
"deployment": {
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"hardwareTierId": "<string>",
"vanityUrl": "<string>"
},
"description": "<string>",
"versionNumber": 123
},
"description": "<string>",
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"updatedAt": 123,
"updatedBy": {
"userId": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
],
"thumbnailEtag": "<string>",
"updatedAt": 123,
"vanityUrl": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Get App (v1)
Get a single App by ID
Authorizations
Path Parameters
Response
Success
Visibility and access-grant settings for an App.
Show child attributes
Show child attributes
Identity metadata for an App: whether it is a draft and the user who created it.
Show child attributes
Show child attributes
Type of configuration for the app which determines different deployment resources and settings.
STANDARD, AISYSTEM App-level default for whether to mount Domino Datasets into the App's runtime.
Show child attributes
Show child attributes
The most recently started (which may be different from the most recently created) version of this App. If no version has been started, defaults to most recently created version.
Show child attributes
Show child attributes
Property values assigned to this app, grouped by group name.
Show child attributes
Show child attributes
Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.
Show child attributes
Show child attributes
Was this page helpful?